EZ_CreateTimer(3)

NAME
EZ_CreateTimer, EZ_ResetTimer, EZ_CancelTimer, EZ_RestartTimer - register a timer to EZWGL

SYNOPSIS
#include <EZ.h>

EZ_Timer *EZ_CreateTimer(long sec, long ,usec,int repeat,
               EZ_CallBack callback, void *pdata, int idata)

EZ_Timer *EZ_ResetTimer(EZ_Timer *timer, long sec, long ,usec,
 int repeat, EZ_CallBack callback, void *pdata, int idata)

void  EZ_CancelTimer(EZ_Timer *timer)

void  EZ_RestartTimer(EZ_Timer *timer)

ARGUMENTS
timer Specifies a previousely registered timer.

sec, usec Specifies the time to wait before firing the timer.

repeat Specifies the number of times the timer to be fired. A negative value indicates that the timer will be fired indefinitely.

callback Specifies a procedure to be invoked when the timer fires.

pdata Specifies a client data to be passed to callback when invoked.

idata Specifies an additional client data to be stored in the EZ_Timer data structure. Both pdata and idata can be retrieved by EZ_GetTimerClientData(3).

DESCRIPTION

EZ_CreateTimer creates a timer and register it to the EZWGL library.

EZ_ResetTimer resets a timer to the newly specified configuration. If timer is NULL or has already expried, a new timer will be created.

EZ_RestartTimer restarts a timer. The specified time will have been reseted to a state just like a newly created timer when this procedure returns.

EZ_CancelTimer cancells a registered timer.

SEE ALSO
EZ_GetTimerClientData(3), EZ_GetTimerState(3)